Skip to main content
GET
List all Cancel Reasons

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

JSON A list array with a data property that contains an array of up to limit CancelReason, starting after the specified starting_after TimeInterval (or ending before the specified ending_before TimeInterval). If no more TimeIntervals are available, the resulting array will be empty. This request should never throw an error.

A list of CancelReason objects matching the query. Also:

  • “total_count”: Integer count of the number of CancelReason in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next CancelReason object (string to select the “next”); included vid should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous CancelReason object (string to select the “previous”); included vid should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next CancelReason object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous CancelReason object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"CancelReason\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\" }, { \"object\": \"CancelReason\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\" }, { \"object\": \"CancelReason\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\" }, { \"object\": \"CancelReason\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\" }, { \"object\": \"CancelReason\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\" }, { \"object\": \"CancelReason\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\" }, { \"object\": \"CancelReason\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\" }, { \"object\": \"CancelReason\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\" }, { \"object\": \"CancelReason\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\" }, { \"object\": \"CancelReason\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\" }, { \"object\": \"CancelReason\", \"reason_code\": \"8885\", \"description\": \"No longer required for subscriber\" } ], \"total_count\": 16, \"url\": \"/cancel_reasons\" }"